SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Web Browser)  >   Mozilla Firefox Vendors:   Mozilla.org
Mozilla Firefox Lets Remote Web Sites Corrupt the Password Store in Certain Cases
SecurityTracker Alert ID:  1019334
SecurityTracker URL:  http://securitytracker.com/id/1019334
CVE Reference:   CVE-2008-0417   (Links to External Site)
Date:  Feb 8 2008
Impact:   Denial of service via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): prior to 2.0.0.12
Description:   A vulnerability was reported in Mozilla Firefox. A remote web site can corrupt the target user's password store in certain cases.

When the target user saves their password for a remote web site, the remote web site can inject newline characters into the browser's password store to corrupt saved passwords for other sites.

Justin Dolske reported this vulnerability.

Impact:   A remote web site can corrupt the target user's password store when the target user saves their password for that site.
Solution:   The vendor has issued a fixed version (2.0.0.12).

The Mozilla advisory is available at:

http://www.mozilla.org/security/announce/2008/mfsa2008-04.html

Vendor URL:  www.mozilla.org/security/announce/2008/mfsa2008-04.html (Links to External Site)
Cause:   Input validation error
Underlying OS:  Linux (Any), UNIX (Any), Windows (Any)

Message History:   This archive entry has one or more follow-up message(s) listed below.
Feb 8 2008 (Red Hat Issues Fix) Mozilla Firefox Lets Remote Web Sites Corrupt the Password Store in Certain Cases
Red Hat has released a fix for Red Hat Enterprise Linux 4 and 5.



 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2021, SecurityGlobal.net LLC